Omniplex Docs

Apps

These API endpoints are related to apps and interviews for positions on our list.

Get Apps Meta

GET
/apps/meta

Gets the current applications metadata. Returns a AppMeta object. See schema for more info.

Response Body

Success

application/json
  1. response
positions?array<>
stable?boolean
Example Request
curl -X GET 'https://spider.omniplex.gg/apps/meta'
Example Response
{  "positions": [    {      "closed": true,      "cooldown": 0,      "help_label": "string",      "help_url": "string",      "hidden": true,      "id": "string",      "info": "string",      "name": "string",      "questions": [        {          "flag": [            "string"          ],          "id": "string",          "max_length": 0,          "min_length": 0,          "optional": true,          "options": [            "string"          ],          "paragraph": "string",          "placeholder": "string",          "question": "string",          "short": true,          "show_if": {            "question_id": "string",            "values": [              "string"            ]          },          "type": "string"        }      ],      "requires_main_server": true,      "summary": "string",      "tags": [        "string"      ]    }  ],  "stable": true}

Get Application List

GET
/users/{user_id}/apps

Gets all applications of the user returning a list of apps.

Authorization

User
headerUser-Auth<token>

Requires a user token. Should be prefixed with User in Authorization header.

Path Parameters

user_id*string

The ID of the user to use.

Response Body

Success

application/json
  1. response
apps?array<>
Example Request
curl -X GET 'https://spider.omniplex.gg/users/string/apps'
Example Response
{  "apps": [    {      "answers": {        "property1": "string",        "property2": "string"      },      "app_id": "string",      "created_at": "2019-08-24T14:15:22Z",      "in_main_server": true,      "position": "string",      "questions": [        {          "flag": [            "string"          ],          "id": "string",          "max_length": 0,          "min_length": 0,          "optional": true,          "options": [            "string"          ],          "paragraph": "string",          "placeholder": "string",          "question": "string",          "short": true,          "show_if": {            "question_id": "string",            "values": [              "string"            ]          },          "type": "string"        }      ],      "review_feedback": "string",      "state": "string",      "user": {        "avatar": "string",        "bot": true,        "display_name": "string",        "extra_data": {          "property1": null,          "property2": null        },        "flags": [          "string"        ],        "id": "string",        "status": "string",        "username": "string"      },      "user_id": "string"    }  ]}

Create App For Position

POST
/users/{user_id}/apps

Creates an application for a position. Returns a 204 on success.

Authorization

User
headerUser-Auth<token>

Requires a user token. Should be prefixed with User in Authorization header.

Path Parameters

user_id*string

The ID of the user to create the application for.

Request Body

application/json
  1. body
answers?
position?string

Response Body

Success

application/json
  1. response
context?

Context of the error. Usually used for validation error contexts

message?string

Message of the error

Example Request
curl -X POST 'https://spider.omniplex.gg/users/string/apps' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "context": {    "property1": "string",    "property2": "string"  },  "message": "string"}